Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.header
Class ParameterizedHeader

    java.lang.Object
      com.sun.jersey.core.header.ParameterizedHeader

    public class ParameterizedHeader

extends java.lang.Object

A general parameterized header.

The header consists of a value and zero or more parameters. A value consists of zero or more tokens and separators up to but not including a ';' separator if present. The tokens and seaprators of a value may be separated by zero or more white space, which is ignored and is not considered part of the value. The value is separated from the parameters with a ';'. Each parameter is separated with a ';'.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ParameterizedHeader(HttpHeaderReader reader)`
`ParameterizedHeader(java.lang.String header)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` | `getParameters()` Get the parameters.
`java.lang.String` | `getValue()` Get the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterizedHeader

    public ParameterizedHeader(java.lang.String header)
                        throws java.text.ParseException

Throws:
  `java.text.ParseException`

### ParameterizedHeader

    public ParameterizedHeader(HttpHeaderReader reader)
                        throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getValue

    public java.lang.String getValue()

  Get the value.

  Returns:
    the value.

### getParameters

    public java.util.Map<java.lang.String,java.lang.String> getParameters()

  Get the parameters.

  Returns:
    the parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.